diff --git a/games/ksquares/Makefile b/games/ksquares/Makefile
index 2d73684688ae..b508ec27a51d 100644
--- a/games/ksquares/Makefile
+++ b/games/ksquares/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/ksquares/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons guiaddons i18n iconthemes itemviews kio \
-		libkdegames notifyconfig widgetsaddons xmlgui \
+		dbusaddons guiaddons i18n iconthemes itemviews kio libkdegames \
+		notifyconfig widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/ksquares/distinfo b/games/ksquares/distinfo
index c9b390ae3b64..65e55f40ac9b 100644
--- a/games/ksquares/distinfo
+++ b/games/ksquares/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889382
-SHA256 (KDE/release-service/23.08.5/ksquares-23.08.5.tar.xz) = a0d7da6752b9d92c1a18b6f57511b756bf4fa227a3a2bff0ff94437b329fbc14
-SIZE (KDE/release-service/23.08.5/ksquares-23.08.5.tar.xz) = 314572
+TIMESTAMP = 1734460176
+SHA256 (KDE/release-service/24.12.0/ksquares-24.12.0.tar.xz) = 351080a07a6f9f95e37b6b68c0341244c0aa5d60656f3db4f23c913e7b53c99c
+SIZE (KDE/release-service/24.12.0/ksquares-24.12.0.tar.xz) = 322360
diff --git a/games/ksquares/pkg-plist b/games/ksquares/pkg-plist
index 6d851c5dc9a8..21f9bb33b4f6 100644
--- a/games/ksquares/pkg-plist
+++ b/games/ksquares/pkg-plist
@@ -8,6 +8,7 @@ share/icons/hicolor/32x32/apps/ksquares.png
 share/icons/hicolor/48x48/apps/ksquares.png
 share/icons/hicolor/64x64/apps/ksquares.png
 share/locale/ar/LC_MESSAGES/ksquares.mo
+share/locale/ast/LC_MESSAGES/ksquares.mo
 share/locale/be/LC_MESSAGES/ksquares.mo
 share/locale/bg/LC_MESSAGES/ksquares.mo
 share/locale/bs/LC_MESSAGES/ksquares.mo
@@ -26,10 +27,12 @@ share/locale/fi/LC_MESSAGES/ksquares.mo
 share/locale/fr/LC_MESSAGES/ksquares.mo
 share/locale/ga/LC_MESSAGES/ksquares.mo
 share/locale/gl/LC_MESSAGES/ksquares.mo
+share/locale/he/LC_MESSAGES/ksquares.mo
 share/locale/hi/LC_MESSAGES/ksquares.mo
 share/locale/hne/LC_MESSAGES/ksquares.mo
 share/locale/hr/LC_MESSAGES/ksquares.mo
 share/locale/hu/LC_MESSAGES/ksquares.mo
+share/locale/ia/LC_MESSAGES/ksquares.mo
 share/locale/is/LC_MESSAGES/ksquares.mo
 share/locale/it/LC_MESSAGES/ksquares.mo
 share/locale/ja/LC_MESSAGES/ksquares.mo
diff --git a/games/ksudoku/Makefile b/games/ksudoku/Makefile
index 8f2224acc727..de5142e79cdb 100644
--- a/games/ksudoku/Makefile
+++ b/games/ksudoku/Makefile
@@ -6,15 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/ksudoku/
 
-USES=		cmake compiler:c++11-lang gl kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext gl kde:6 qt:6 tar:xz
 USE_GL=		gl glu
-USE_KDE=	archive auth codecs completion config configwidgets \
-		coreaddons crash guiaddons i18n jobwidgets kio \
-		libkdegames service widgetsaddons xmlgui \
+USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
+		crash guiaddons i18n jobwidgets kio libkdegames service \
+		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network opengl printsupport \
-		svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/ksudoku/distinfo b/games/ksudoku/distinfo
index 3454c5907c13..7d2192fc1116 100644
--- a/games/ksudoku/distinfo
+++ b/games/ksudoku/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889400
-SHA256 (KDE/release-service/23.08.5/ksudoku-23.08.5.tar.xz) = 9296becfdd9a120e09ed957afd6a450b290dbf3f1b5011bb64b093892b941766
-SIZE (KDE/release-service/23.08.5/ksudoku-23.08.5.tar.xz) = 1710076
+TIMESTAMP = 1734460177
+SHA256 (KDE/release-service/24.12.0/ksudoku-24.12.0.tar.xz) = 3cab748001b2ff3aed003beaf810a27f23cbf74162d30853176d8684f2ad1259
+SIZE (KDE/release-service/24.12.0/ksudoku-24.12.0.tar.xz) = 1729156
diff --git a/games/ksudoku/pkg-plist b/games/ksudoku/pkg-plist
index 2fbea1c59ebb..e6129d04f619 100644
--- a/games/ksudoku/pkg-plist
+++ b/games/ksudoku/pkg-plist
@@ -115,15 +115,16 @@ share/icons/hicolor/32x32/apps/ksudoku.png
 %%DATADIR%%/icons/hicolor/64x64/actions/ksudoku-xsudoku.png
 %%DATADIR%%/icons/hicolor/64x64/actions/ksudoku.png
 %%DATADIR%%/themes/abstraction.desktop
-%%DATADIR%%/themes/abstraction.svg
+%%DATADIR%%/themes/abstraction.svgz
 %%DATADIR%%/themes/abstraction_preview.png
 %%DATADIR%%/themes/default.desktop
 %%DATADIR%%/themes/egyptian_preview.png
-%%DATADIR%%/themes/ksudoku_egyptian.svg
+%%DATADIR%%/themes/ksudoku_egyptian.svgz
 %%DATADIR%%/themes/ksudoku_scrible.desktop
-%%DATADIR%%/themes/ksudoku_scrible.svg
+%%DATADIR%%/themes/ksudoku_scrible.svgz
 %%DATADIR%%/themes/scribble_preview.png
 share/locale/ar/LC_MESSAGES/ksudoku.mo
+share/locale/ast/LC_MESSAGES/ksudoku.mo
 share/locale/be/LC_MESSAGES/ksudoku.mo
 share/locale/bg/LC_MESSAGES/ksudoku.mo
 share/locale/bs/LC_MESSAGES/ksudoku.mo
@@ -143,6 +144,7 @@ share/locale/fi/LC_MESSAGES/ksudoku.mo
 share/locale/fr/LC_MESSAGES/ksudoku.mo
 share/locale/ga/LC_MESSAGES/ksudoku.mo
 share/locale/gl/LC_MESSAGES/ksudoku.mo
+share/locale/he/LC_MESSAGES/ksudoku.mo
 share/locale/hi/LC_MESSAGES/ksudoku.mo
 share/locale/hne/LC_MESSAGES/ksudoku.mo
 share/locale/hr/LC_MESSAGES/ksudoku.mo
diff --git a/games/ktuberling/Makefile b/games/ktuberling/Makefile
index 35d938944f1a..2d1a067e4135 100644
--- a/games/ktuberling/Makefile
+++ b/games/ktuberling/Makefile
@@ -6,17 +6,15 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/ktuberling/
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons emoticons guiaddons i18n \
-		iconthemes init itemmodels itemviews jobwidgets \
-		kdelibs4support kio libkdegames newstuff notifications \
-		notifyconfig parts phonon service solid sonnet textwidgets \
-		unitconversion widgetsaddons windowsystem xmlgui \
+		iconthemes itemmodels itemviews jobwidgets kio libkdegames \
+		newstuff notifications notifyconfig parts phonon service solid \
+		sonnet textwidgets unitconversion widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui multimedia network \
-		printsupport svg testlib widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/ktuberling/distinfo b/games/ktuberling/distinfo
index bb921dcd4943..318960e7f9ad 100644
--- a/games/ktuberling/distinfo
+++ b/games/ktuberling/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889391
-SHA256 (KDE/release-service/23.08.5/ktuberling-23.08.5.tar.xz) = 9593c5c66cb84ce64b4cb6efc7e94b44e09aea3e04f19373660dbcb5e5c4c388
-SIZE (KDE/release-service/23.08.5/ktuberling-23.08.5.tar.xz) = 71404564
+TIMESTAMP = 1734460181
+SHA256 (KDE/release-service/24.12.0/ktuberling-24.12.0.tar.xz) = 6f4febdcd65d8cb03a1532c6012dec7b4561ed48cf95a7eade92cd90e71ffab1
+SIZE (KDE/release-service/24.12.0/ktuberling-24.12.0.tar.xz) = 71565140
diff --git a/games/ktuberling/pkg-plist b/games/ktuberling/pkg-plist
index ae0051e181ff..781b0fff1eb0 100644
--- a/games/ktuberling/pkg-plist
+++ b/games/ktuberling/pkg-plist
@@ -623,6 +623,28 @@ share/icons/hicolor/64x64/mimetypes/application-x-tuberling.png
 %%DATADIR%%/sounds/en/tv_train.ogg
 %%DATADIR%%/sounds/en/tv_tree.ogg
 %%DATADIR%%/sounds/en/umbrella.ogg
+%%DATADIR%%/sounds/eo.soundtheme
+%%DATADIR%%/sounds/eo/kt_ball-pilko.ogg
+%%DATADIR%%/sounds/eo/kt_bow-banto.ogg
+%%DATADIR%%/sounds/eo/kt_coat-mantelo.ogg
+%%DATADIR%%/sounds/eo/kt_ear-orelo.ogg
+%%DATADIR%%/sounds/eo/kt_earring-orelringo.ogg
+%%DATADIR%%/sounds/eo/kt_eye-okulo.ogg
+%%DATADIR%%/sounds/eo/kt_eyebrow-brovo.ogg
+%%DATADIR%%/sounds/eo/kt_flower-floro.ogg
+%%DATADIR%%/sounds/eo/kt_hair-haroj.ogg
+%%DATADIR%%/sounds/eo/kt_hat-chapelo.ogg
+%%DATADIR%%/sounds/eo/kt_moustache-lipharoj.ogg
+%%DATADIR%%/sounds/eo/kt_mouth-busho.ogg
+%%DATADIR%%/sounds/eo/kt_nose-nazo.ogg
+%%DATADIR%%/sounds/eo/kt_shoe-shuo.ogg
+%%DATADIR%%/sounds/eo/kt_shorts-pantaloneto.ogg
+%%DATADIR%%/sounds/eo/kt_skirt-jupo.ogg
+%%DATADIR%%/sounds/eo/kt_spectacles-okulvitroj.ogg
+%%DATADIR%%/sounds/eo/kt_stick-bastono.ogg
+%%DATADIR%%/sounds/eo/kt_sunglasses-sunvitroj.ogg
+%%DATADIR%%/sounds/eo/kt_tie-kravato.ogg
+%%DATADIR%%/sounds/eo/kt_umbrella-ombrelo.ogg
 %%DATADIR%%/sounds/es.soundtheme
 %%DATADIR%%/sounds/es/anteojos.wav
 %%DATADIR%%/sounds/es/bigote.wav
@@ -946,6 +968,211 @@ share/icons/hicolor/64x64/mimetypes/application-x-tuberling.png
 %%DATADIR%%/sounds/gl/tv_train.ogg
 %%DATADIR%%/sounds/gl/umbrella.ogg
 %%DATADIR%%/sounds/id.soundtheme
+%%DATADIR%%/sounds/id/ball_bola.wav
+%%DATADIR%%/sounds/id/bow_dasi-kupu-kupu.wav
+%%DATADIR%%/sounds/id/butterflies_body_tubuh.wav
+%%DATADIR%%/sounds/id/butterflies_circle_bulatan.wav
+%%DATADIR%%/sounds/id/butterflies_circles_lingkaran.wav
+%%DATADIR%%/sounds/id/butterflies_eye_mata.wav
+%%DATADIR%%/sounds/id/butterflies_heart_hati.wav
+%%DATADIR%%/sounds/id/butterflies_purple_shape_bentuk-ungu.wav
+%%DATADIR%%/sounds/id/butterflies_spiral.wav
+%%DATADIR%%/sounds/id/butterflies_wing_sayap.wav
+%%DATADIR%%/sounds/id/coat_baju.wav
+%%DATADIR%%/sounds/id/ear_telinga.wav
+%%DATADIR%%/sounds/id/earring_anting-anting.wav
+%%DATADIR%%/sounds/id/egypt_arch_lengkungan-taman.wav
+%%DATADIR%%/sounds/id/egypt_birds_burung.wav
+%%DATADIR%%/sounds/id/egypt_boy_pria.wav
+%%DATADIR%%/sounds/id/egypt_bridge_jembatan.wav
+%%DATADIR%%/sounds/id/egypt_camel_unta.wav
+%%DATADIR%%/sounds/id/egypt_cart_gerobak.wav
+%%DATADIR%%/sounds/id/egypt_column_tiang.wav
+%%DATADIR%%/sounds/id/egypt_donkey_keledai.wav
+%%DATADIR%%/sounds/id/egypt_girl_wanita.wav
+%%DATADIR%%/sounds/id/egypt_grass_rumput.wav
+%%DATADIR%%/sounds/id/egypt_man_laki-laki.wav
+%%DATADIR%%/sounds/id/egypt_oasis_wahah.wav
+%%DATADIR%%/sounds/id/egypt_palmtree_pohon-palem.wav
+%%DATADIR%%/sounds/id/egypt_pyramid.wav
+%%DATADIR%%/sounds/id/egypt_road_jalan.wav
+%%DATADIR%%/sounds/id/egypt_sphynx.wav
+%%DATADIR%%/sounds/id/egypt_well_sumur.wav
+%%DATADIR%%/sounds/id/egypt_woman_perempuan.wav
+%%DATADIR%%/sounds/id/eye_mata.wav
+%%DATADIR%%/sounds/id/eyebrow_alis.wav
+%%DATADIR%%/sounds/id/flower_bunga.wav
+%%DATADIR%%/sounds/id/frier-tux_tux-biarawan.wav
+%%DATADIR%%/sounds/id/guard-tux_tux-penjaga.wav
+%%DATADIR%%/sounds/id/hair_rambut.wav
+%%DATADIR%%/sounds/id/hat_topi.wav
+%%DATADIR%%/sounds/id/kid-tux_tux-pemanah.wav
+%%DATADIR%%/sounds/id/kid-tux_tux-pria.wav
+%%DATADIR%%/sounds/id/little-tux_tux-putra.wav
+%%DATADIR%%/sounds/id/maiden-tux_tux-putri.wav
+%%DATADIR%%/sounds/id/moon_alien.wav
+%%DATADIR%%/sounds/id/moon_astronaut.wav
+%%DATADIR%%/sounds/id/moon_earth_bumi.wav
+%%DATADIR%%/sounds/id/moon_fallingstar_meteor.wav
+%%DATADIR%%/sounds/id/moon_hotel.wav
+%%DATADIR%%/sounds/id/moon_monster.wav
+%%DATADIR%%/sounds/id/moon_moonwalker_robot-penjelajah-rembulan.wav
+%%DATADIR%%/sounds/id/moon_planet.wav
+%%DATADIR%%/sounds/id/moon_radar.wav
+%%DATADIR%%/sounds/id/moon_rocket.wav
+%%DATADIR%%/sounds/id/moon_satellite.wav
+%%DATADIR%%/sounds/id/moon_sign_rambu.wav
+%%DATADIR%%/sounds/id/moon_star_bintang.wav
+%%DATADIR%%/sounds/id/moon_ufo.wav
+%%DATADIR%%/sounds/id/moustache_kumis.wav
+%%DATADIR%%/sounds/id/mouth_mulut.wav
+%%DATADIR%%/sounds/id/nose_hidung.wav
+%%DATADIR%%/sounds/id/pizzeria_anchovy_daging-ikan.wav
+%%DATADIR%%/sounds/id/pizzeria_bacon_daging-merah.wav
+%%DATADIR%%/sounds/id/pizzeria_brocolli_brokoli.wav
+%%DATADIR%%/sounds/id/pizzeria_cheese_keju.wav
+%%DATADIR%%/sounds/id/pizzeria_cucumber_timun.wav
+%%DATADIR%%/sounds/id/pizzeria_mushroom_jamur.wav
+%%DATADIR%%/sounds/id/pizzeria_olive1_biji-zaitun-muda.wav
+%%DATADIR%%/sounds/id/pizzeria_olive2_biji-zaitun-tua.wav
+%%DATADIR%%/sounds/id/pizzeria_olive3_irisan-zaitun-muda.wav
+%%DATADIR%%/sounds/id/pizzeria_olive4_irisan-zaitun-tua.wav
+%%DATADIR%%/sounds/id/pizzeria_onion1_bawang-putih.wav
+%%DATADIR%%/sounds/id/pizzeria_onion2_bawang-merah.wav
+%%DATADIR%%/sounds/id/pizzeria_oregano1_daun-oregano.wav
+%%DATADIR%%/sounds/id/pizzeria_oregano2_serbuk-oregano.wav
+%%DATADIR%%/sounds/id/pizzeria_pepper1_cabai-paprika-merah.wav
+%%DATADIR%%/sounds/id/pizzeria_pepper2_cabai-paprika-hijau.wav
+%%DATADIR%%/sounds/id/pizzeria_pepper3_cabai-paprika-kuning.wav
+%%DATADIR%%/sounds/id/pizzeria_pepperoni.wav
+%%DATADIR%%/sounds/id/pizzeria_pineapple_nanas.wav
+%%DATADIR%%/sounds/id/pizzeria_salami.wav
+%%DATADIR%%/sounds/id/pizzeria_tomato_tomat.wav
+%%DATADIR%%/sounds/id/prince-tux_tux-pangeran.wav
+%%DATADIR%%/sounds/id/robin-tux_tux-robin.wav
+%%DATADIR%%/sounds/id/robot_workshop_antenna.wav
+%%DATADIR%%/sounds/id/robot_workshop_arm_lengan.wav
+%%DATADIR%%/sounds/id/robot_workshop_ball_bola.wav
+%%DATADIR%%/sounds/id/robot_workshop_base_dasaran.wav
+%%DATADIR%%/sounds/id/robot_workshop_block_balok.wav
+%%DATADIR%%/sounds/id/robot_workshop_body_tubuh.wav
+%%DATADIR%%/sounds/id/robot_workshop_claw_cakar.wav
+%%DATADIR%%/sounds/id/robot_workshop_eye_mata.wav
+%%DATADIR%%/sounds/id/robot_workshop_foot_kaki.wav
+%%DATADIR%%/sounds/id/robot_workshop_hand_tangan.wav
+%%DATADIR%%/sounds/id/robot_workshop_head_kepala.wav
+%%DATADIR%%/sounds/id/robot_workshop_panel.wav
+%%DATADIR%%/sounds/id/robot_workshop_rocket_roket.wav
+%%DATADIR%%/sounds/id/robot_workshop_rod_batang.wav
+%%DATADIR%%/sounds/id/robot_workshop_wheel_roda.wav
+%%DATADIR%%/sounds/id/sherif-tux_tux-sherif.wav
+%%DATADIR%%/sounds/id/shoe_sepatu.wav
+%%DATADIR%%/sounds/id/shorts_celana.wav
+%%DATADIR%%/sounds/id/skirt_rok.wav
+%%DATADIR%%/sounds/id/spectacles_kacamata-putih.wav
+%%DATADIR%%/sounds/id/stick_tongkat.wav
+%%DATADIR%%/sounds/id/sunglasses_kacamata-hitam.wav
+%%DATADIR%%/sounds/id/tie_dasi.wav
+%%DATADIR%%/sounds/id/tux-angry_lapar.wav
+%%DATADIR%%/sounds/id/tux-apple_apel.wav
+%%DATADIR%%/sounds/id/tux-arrow_panah.wav
+%%DATADIR%%/sounds/id/tux-arrows_wadah-panah.wav
+%%DATADIR%%/sounds/id/tux-bow_busur.wav
+%%DATADIR%%/sounds/id/tux-bullseye_sasaran-panah.wav
+%%DATADIR%%/sounds/id/tux-candles_lilin.wav
+%%DATADIR%%/sounds/id/tux-dowe_merpati-hinggap.wav
+%%DATADIR%%/sounds/id/tux-dowe_merpati-hinggap1.wav
+%%DATADIR%%/sounds/id/tux-fish_ikan.wav
+%%DATADIR%%/sounds/id/tux-flask_botol-flask.wav
+%%DATADIR%%/sounds/id/tux-fly_merpati-terbang.wav
+%%DATADIR%%/sounds/id/tux-goblet_gelas-goblet.wav
+%%DATADIR%%/sounds/id/tux-guitar_gitar.wav
+%%DATADIR%%/sounds/id/tux-huh.wav
+%%DATADIR%%/sounds/id/tux-idea_ide.wav
+%%DATADIR%%/sounds/id/tux-key_kunci.wav
+%%DATADIR%%/sounds/id/tux-laugh_tertawa.wav
+%%DATADIR%%/sounds/id/tux-letter_surat.wav
+%%DATADIR%%/sounds/id/tux-love_cinta.wav
+%%DATADIR%%/sounds/id/tux-love_surat-cinta.wav
+%%DATADIR%%/sounds/id/tux-note_not.wav
+%%DATADIR%%/sounds/id/tux-notes_notasi.wav
+%%DATADIR%%/sounds/id/tux-plate_piring.wav
+%%DATADIR%%/sounds/id/tux-poison_racun.wav
+%%DATADIR%%/sounds/id/tux-shoot_panahkan.wav
+%%DATADIR%%/sounds/id/tux-sick_sakit.wav
+%%DATADIR%%/sounds/id/tux-sick_tongkat.wav
+%%DATADIR%%/sounds/id/tux-stare_tatapan.wav
+%%DATADIR%%/sounds/id/tux-teacup_gelas-cangkir.wav
+%%DATADIR%%/sounds/id/tux-vase_vas-bunga.wav
+%%DATADIR%%/sounds/id/tux-wanted_buronan.wav
+%%DATADIR%%/sounds/id/tux-what_apa.wav
+%%DATADIR%%/sounds/id/tux-wow.wav
+%%DATADIR%%/sounds/id/tux-zzz.wav
+%%DATADIR%%/sounds/id/tv_accident_kecelakaan.wav
+%%DATADIR%%/sounds/id/tv_ball_bola.wav
+%%DATADIR%%/sounds/id/tv_barrier_palang.wav
+%%DATADIR%%/sounds/id/tv_bicycle_sepeda.wav
+%%DATADIR%%/sounds/id/tv_breakdown_lorry_truk-derek.wav
+%%DATADIR%%/sounds/id/tv_car_mobil.wav
+%%DATADIR%%/sounds/id/tv_caravan_rumah-gandeng.wav
+%%DATADIR%%/sounds/id/tv_cyclist_bersepeda.wav
+%%DATADIR%%/sounds/id/tv_elephant_gajah.wav
+%%DATADIR%%/sounds/id/tv_excavator_alat-penggali.wav
+%%DATADIR%%/sounds/id/tv_fence_pagar.wav
+%%DATADIR%%/sounds/id/tv_fire_api.wav
+%%DATADIR%%/sounds/id/tv_fireengine_mobil-pemadam-kebakaran.wav
+%%DATADIR%%/sounds/id/tv_fireengine_pemadam-kebakaran.wav
+%%DATADIR%%/sounds/id/tv_fireman_pemadam-api.wav
+%%DATADIR%%/sounds/id/tv_fisherman_pemancing.wav
+%%DATADIR%%/sounds/id/tv_giraffe_jerapah.wav
+%%DATADIR%%/sounds/id/tv_guitar_gitar.wav
+%%DATADIR%%/sounds/id/tv_guitarist_gitaris.wav
+%%DATADIR%%/sounds/id/tv_house_rumah.wav
+%%DATADIR%%/sounds/id/tv_ladder_tangga.wav
+%%DATADIR%%/sounds/id/tv_lion_singa.wav
+%%DATADIR%%/sounds/id/tv_lorry_tractor_kepala-truk.wav
+%%DATADIR%%/sounds/id/tv_lorry_truk-tronton.wav
+%%DATADIR%%/sounds/id/tv_man_laki-laki.wav
+%%DATADIR%%/sounds/id/tv_mechanic_montir.wav
+%%DATADIR%%/sounds/id/tv_monkey_monyet.wav
+%%DATADIR%%/sounds/id/tv_path_jalan-setapak.wav
+%%DATADIR%%/sounds/id/tv_rock_batu.wav
+%%DATADIR%%/sounds/id/tv_school_sekolah.wav
+%%DATADIR%%/sounds/id/tv_shop_toko.wav
+%%DATADIR%%/sounds/id/tv_smoke_asap.wav
+%%DATADIR%%/sounds/id/tv_tipper_truk-jomplang.wav
+%%DATADIR%%/sounds/id/tv_trailer_becak.wav
+%%DATADIR%%/sounds/id/tv_trailer_gerobak.wav
+%%DATADIR%%/sounds/id/tv_train_kereta-api.wav
+%%DATADIR%%/sounds/id/tv_train_kereta.wav
+%%DATADIR%%/sounds/id/tv_train_lokomotif.wav
+%%DATADIR%%/sounds/id/tv_tree_pohon.wav
+%%DATADIR%%/sounds/id/tv_tunnel_terowongan.wav
+%%DATADIR%%/sounds/id/tv_volley_net_net-voli.wav
+%%DATADIR%%/sounds/id/tv_wagon_gerbong.wav
+%%DATADIR%%/sounds/id/tv_woman_perempuan.wav
+%%DATADIR%%/sounds/id/umbrella_payung.wav
+%%DATADIR%%/sounds/id/whitch-tux_tux-penyihir.wav
+%%DATADIR%%/sounds/id/xmas_angel_malaikat.wav
+%%DATADIR%%/sounds/id/xmas_ball_bola.wav
+%%DATADIR%%/sounds/id/xmas_boot_sepatu-but.wav
+%%DATADIR%%/sounds/id/xmas_candle_lilin.wav
+%%DATADIR%%/sounds/id/xmas_comet_komet.wav
+%%DATADIR%%/sounds/id/xmas_garland_karangan-bunga.wav
+%%DATADIR%%/sounds/id/xmas_lights_lampu.wav
+%%DATADIR%%/sounds/id/xmas_mistletoe_benalu.wav
+%%DATADIR%%/sounds/id/xmas_moon_rembulan.wav
+%%DATADIR%%/sounds/id/xmas_owl_burung-hantu.wav
+%%DATADIR%%/sounds/id/xmas_present_kado.wav
+%%DATADIR%%/sounds/id/xmas_rabbit_kelinci.wav
+%%DATADIR%%/sounds/id/xmas_reindeer_rusa-kutub.wav
+%%DATADIR%%/sounds/id/xmas_shoe_sepatu.wav
+%%DATADIR%%/sounds/id/xmas_snowflake_kepingan-salju.wav
+%%DATADIR%%/sounds/id/xmas_snowman_manusia-salju.wav
+%%DATADIR%%/sounds/id/xmas_star_bintang.wav
+%%DATADIR%%/sounds/id/xmas_tree_pohon.wav
+%%DATADIR%%/sounds/id/xmas_turtle_penyu.wav
+%%DATADIR%%/sounds/id/xmas_tux.wav
 %%DATADIR%%/sounds/it.soundtheme
 %%DATADIR%%/sounds/it/baffi.wav
 %%DATADIR%%/sounds/it/bocca.wav
@@ -1963,6 +2190,7 @@ share/icons/hicolor/64x64/mimetypes/application-x-tuberling.png
 %%DATADIR%%/sounds/wa/tv_vweteure.ogg
 share/locale/af/LC_MESSAGES/ktuberling.mo
 share/locale/ar/LC_MESSAGES/ktuberling.mo
+share/locale/ast/LC_MESSAGES/ktuberling.mo
 share/locale/be/LC_MESSAGES/ktuberling.mo
 share/locale/bg/LC_MESSAGES/ktuberling.mo
 share/locale/br/LC_MESSAGES/ktuberling.mo
@@ -1990,6 +2218,7 @@ share/locale/hi/LC_MESSAGES/ktuberling.mo
 share/locale/hne/LC_MESSAGES/ktuberling.mo
 share/locale/hr/LC_MESSAGES/ktuberling.mo
 share/locale/hu/LC_MESSAGES/ktuberling.mo
+share/locale/ia/LC_MESSAGES/ktuberling.mo
 share/locale/id/LC_MESSAGES/ktuberling.mo
 share/locale/is/LC_MESSAGES/ktuberling.mo
 share/locale/it/LC_MESSAGES/ktuberling.mo
@@ -2035,4 +2264,5 @@ share/locale/xh/LC_MESSAGES/ktuberling.mo
 share/locale/zh_CN/LC_MESSAGES/ktuberling.mo
 share/locale/zh_TW/LC_MESSAGES/ktuberling.mo
 share/metainfo/org.kde.ktuberling.appdata.xml
-share/qlogging-categories5/ktuberling.categories
+share/qlogging-categories6/ktuberling.categories
+share/qlogging-categories6/ktuberling.renamecategories
diff --git a/games/kubrick/Makefile b/games/kubrick/Makefile
index dac4b4dc41cb..3a69f1600fe7 100644
--- a/games/kubrick/Makefile
+++ b/games/kubrick/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kubrick/
 
-USES=		cmake compiler:c++11-lang gl kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext gl kde:6 qt:6 tar:xz
 USE_GL=		gl glu
-USE_KDE=	auth codecs config configwidgets coreaddons crash \
-		i18n kio libkdegames service widgetsaddons xmlgui \
+USE_KDE=	auth codecs config configwidgets coreaddons crash i18n kio \
+		libkdegames service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network opengl svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kubrick/distinfo b/games/kubrick/distinfo
index d46ab9ae07fe..6938a48cc92d 100644
--- a/games/kubrick/distinfo
+++ b/games/kubrick/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889375
-SHA256 (KDE/release-service/23.08.5/kubrick-23.08.5.tar.xz) = 75f527aca221e32e87236e867307bab23422766f77faff419dc20fe332620c00
-SIZE (KDE/release-service/23.08.5/kubrick-23.08.5.tar.xz) = 355416
+TIMESTAMP = 1734460182
+SHA256 (KDE/release-service/24.12.0/kubrick-24.12.0.tar.xz) = b58faa25b3b28048beddfddecc19a55469e5d120e3a90ba290413d666daadd5f
+SIZE (KDE/release-service/24.12.0/kubrick-24.12.0.tar.xz) = 375492
diff --git a/games/kubrick/pkg-plist b/games/kubrick/pkg-plist
index 90dc86821da2..f9e7333b1d4a 100644
--- a/games/kubrick/pkg-plist
+++ b/games/kubrick/pkg-plist
@@ -30,6 +30,7 @@ share/icons/hicolor/64x64/apps/kubrick.png
 %%DATADIR%%/p333X2.kbk
 %%DATADIR%%/p333X6.kbk
 %%DATADIR%%/themes/default.svgz
+share/locale/ast/LC_MESSAGES/kubrick.mo
 share/locale/bg/LC_MESSAGES/kubrick.mo
 share/locale/bs/LC_MESSAGES/kubrick.mo
 share/locale/ca/LC_MESSAGES/kubrick.mo
@@ -47,8 +48,10 @@ share/locale/fi/LC_MESSAGES/kubrick.mo
 share/locale/fr/LC_MESSAGES/kubrick.mo
 share/locale/ga/LC_MESSAGES/kubrick.mo
 share/locale/gl/LC_MESSAGES/kubrick.mo
+share/locale/he/LC_MESSAGES/kubrick.mo
 share/locale/hr/LC_MESSAGES/kubrick.mo
 share/locale/hu/LC_MESSAGES/kubrick.mo
+share/locale/ia/LC_MESSAGES/kubrick.mo
 share/locale/id/LC_MESSAGES/kubrick.mo
 share/locale/is/LC_MESSAGES/kubrick.mo
 share/locale/it/LC_MESSAGES/kubrick.mo
@@ -84,4 +87,5 @@ share/locale/uk/LC_MESSAGES/kubrick.mo
 share/locale/zh_CN/LC_MESSAGES/kubrick.mo
 share/locale/zh_TW/LC_MESSAGES/kubrick.mo
 share/metainfo/org.kde.kubrick.appdata.xml
-share/qlogging-categories5/kubrick.categories
+share/qlogging-categories6/kubrick.categories
+share/qlogging-categories6/kubrick.renamecategories
diff --git a/games/libkdegames/Makefile b/games/libkdegames/Makefile
index a1cdc805d5ca..73c57860a8ac 100644
--- a/games/libkdegames/Makefile
+++ b/games/libkdegames/Makefile
@@ -8,19 +8,17 @@ WWW=		https://www.kde.org/applications/games/
 
 LIB_DEPENDS=	libsndfile.so:audio/libsndfile
 
-USES=		cmake compiler:c++11-lang gettext kde:5 openal qt:5 \
-		tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 openal qt:6 tar:xz
 USE_KDE=	archive attica auth bookmarks codecs completion config \
-		configwidgets coreaddons crash dbusaddons dnssd emoticons \
-		globalaccel guiaddons i18n iconthemes init itemmodels \
-		itemviews jobwidgets kdeclarative kdelibs4support kio newstuff \
-		package service textwidgets widgetsaddons xmlgui \
+		configwidgets coreaddons crash dbusaddons dnssd globalaccel \
+		guiaddons i18n iconthemes itemmodels itemviews jobwidgets \
+		kdeclarative kio newstuff package service textwidgets \
+		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base declarative
 USE_LDCONFIG=	yes
 
-SHLIB_VER=	7.3.1
+SHLIB_VER=	6.0.241200
 PLIST_SUB+=	SHLIB_VER="${SHLIB_VER}" \
 		SHLIB_SHVER="${SHLIB_VER:R:R}"
 
diff --git a/games/libkdegames/distinfo b/games/libkdegames/distinfo
index 98f5a9248f0b..6c203be074f2 100644
--- a/games/libkdegames/distinfo
+++ b/games/libkdegames/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889405
-SHA256 (KDE/release-service/23.08.5/libkdegames-23.08.5.tar.xz) = 0ac583f4327d6003782054a9ee3d51c922bcdf04577a3f7f12b3840cabf2efed
-SIZE (KDE/release-service/23.08.5/libkdegames-23.08.5.tar.xz) = 6016168
+TIMESTAMP = 1734460184
+SHA256 (KDE/release-service/24.12.0/libkdegames-24.12.0.tar.xz) = d919e8235b2507667d02e21b6871f556d87ab74eab6c0a5a65d313cccd688765
+SIZE (KDE/release-service/24.12.0/libkdegames-24.12.0.tar.xz) = 5973656
